Subject: bug#41412: bug#41424: 26.1; default-directory in *Completions* buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 06 Jun 2022 15:07:31 +0200

Karthik Chikmagalur <[email-masked]> writes:

> Steps to reproduce:
>
> 1. Start `emacs -Q'
> 2. C-x C-f to start finding a file
> 3. Enter a string (at least one character) and hit tab to pop up the
> completions buffer. Let's say this string was "test"
> 4. The completions buffer will have completions starting with
> "test". (We need at least one candidate).
> 5. C-h v default-directory
> 6. The value of `default-directory' in the completions buffer is set to
> "~/test/", or the current directory + whatever string the user entered
> into the minibuffer.

I can reproduce this in Emacs 28.1, but not in Emacs 29 now (but I could
a month ago), so it seems like this has been fixed recently, and I'm
therefore closing this bug report.  If this problem is still present (it
may be that my test cases doesn't cover all the possibilities), please
respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no